Bug 993398 - mate-display-properties wont allow me to set different resolution on external monitor
mate-display-properties wont allow me to set different resolution on external...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mate-control-center (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 16:36 EDT by pgaltieri
Modified: 2014-02-05 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:13:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pgaltieri 2013-08-05 16:36:08 EDT
Description of problem:
I have a laptop with an external VGA monitor.  When I start mate-display-properties it displays a single monitor and shows "Mirror Screens" in top left corner of monitor.  Both the laptop screen and the VGA monitor are set to 1680x1050 resolution.  If I unclick the "Same image in all monitors" button and attempt to set the resolution of the VGA monitor to 1920x1200 the desktop disappears completely on the VGA monitor but remains on the laptop screen.  There does not appear to be a way to have the laptop monitor be 1680x1050 and the VGA monitor be 1920x1200.  Also mate-display-properties always crashes when I try this (this is a known bug, bug #879663)

Version-Release number of selected component (if applicable):
Fedora 18 with latest patches

How reproducible:
Always

Steps to Reproduce:
1. attach VGA monitor to a laptop
2. start mate-diplay-properties
3. deselect "Same image in all monitors" (see info below why)
4. Set resolution of VGA monitor to 1920x1200

Actual results:
Desktop disappears leaving default background wallpaper on VGA monitor, and the desktop on the laptop monitor only.  This is expected since the "Same image..." checkbox isn't selected, but I want different resolutions on the two monitors not the same lower resolution.

Expected results:
I should be able to have the desktop mirrored on both monitors with the VGA monitor set to 1920x1200 and the laptop monitor set to 1680x1050.

Additional info:
The problem is that when the "Same image in all monitors" is set you cannot configure the second monitor.  The only way to see that a second monitor has been detected is to deselect the "Same image ..." check box.  mate-display-properties does correctly identify the second monitor (Gateway 2000 24") so I want to be able to take advantage of the higher resolution.

This was doable under KDE on F16 so it's not a hardware issue since I'm using same hardware just different OS.
Comment 1 Wolfgang Ulbrich 2013-08-05 17:08:25 EDT
I notice upstream about the issue.
https://github.com/mate-desktop/mate-control-center/issues/66
Maybe you can edit xorg.conf directly to set up the resolution for the second monitor.
Or if you use the proprietary nvidia driver set it with nvidia-settings.
Comment 2 Dan Mashal 2013-10-07 18:26:54 EDT
Does this happen with DVI monitor or only VGA?
Comment 3 pgaltieri 2013-10-08 20:34:27 EDT
I don't have a DVI monitor to test.  It should work with VGA.
Comment 4 Dan Mashal 2013-10-08 20:47:33 EDT
(In reply to pgaltieri from comment #3)
> I don't have a DVI monitor to test.  It should work with VGA.

I understand, I asked because it works fine here with DVI.
Comment 5 Fedora End Of Life 2013-12-21 10:35:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 18:13:27 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.